Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154692 - pcre-devel headers location
Summary: pcre-devel headers location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcre
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 15:40 UTC by Dmitri A. Sergatskov
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-16 15:39:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 64248 None None None Never

Description Dmitri A. Sergatskov 2005-04-13 15:40:52 UTC
Description of problem:
RedHat puts pcre.h and pcreposix.h into /usr/include/pcre/ directory.
Many non-RedHat specific packages expect the files to be in /usr/include
It appears that the future RH or Fedora releses will put the include files
directly into /usr/include as well (e.g. pcre-devel-5.0-4 from rawhide).
It would be helpful if pcre-devel includes the symlinks:
pcre.h -> pcre/pcre.h
pcreposix.h -> pcre/pcreposix.h

Version-Release number of selected component (if applicable):
 pcre-devel-4.5-3.i386.rpm

How reproducible:
Always

Steps to Reproduce: N/A
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Moritz Barsnick 2005-04-13 17:21:54 UTC
FYI, this item refers to the bug (and bugfix) described in bugzilla bug #64248.

Comment 2 Ngo Than 2005-08-16 15:39:48 UTC
it's fixed in pcre-4_5-3_1 which i will add into FC3 update soon. 


Note You need to log in before you can comment on or make changes to this bug.